# app-context-redis

[redis](https://www.npmjs.com/package/redis) initializer for [app-context](https://www.npmjs.com/package/app-context)

### Installation

```bash
$ npm install --save app-context-redis
```

### Usage

```javascript
var AppContext = require('app-context');
var redis = require('app-context-redis');

module.exports = AppContext.createContext({
  configure: function() {
    this.use(
      AppContext.RunLevel.Connected,
      // load the redis URL from your APP.config.redis
      redis('redis')

      // load 2 connections and assign them to the default connection and the sessions connection
      redis({
        default: 'redis://localhost',
        sessions: 'redis://localhost/2'
      })
    );

    // you can optionally use app-context-redis through app-context-initialize
    // to create connections from APP.config.redis.default and APP.config.redis.sessions
    var initialize = require('app-context-initialize');
    this.use(
      AppContext.RunLevel.Connected,
      initialize({
        redis: {
          default: '$redis.default',
          sessions: '$redis.sessions'
        }
      })
    );
  }
});
```
